var login={
	wx:null,
	wxLogin:function(){
		login.wx.isInstalled(function(ret, err){
		    if(ret.installed){
	        	login.wx.auth({
				    apiKey: ''
					}, function(ret, err){ 
				    if(ret.status){
			        	login.getToken(ret.code);
				    }
				});
		    }else{
		        login.installWx();
		    }
		});
	},
	getToken:function(code){
		api.showProgress({
		    style: 'default',
		    animationType: 'zoom',
		    title: '正在登陆...',
		    text: '请稍后...',
		    modal: false
		});
		login.wx.getToken({
				    apiKey: '',
				    apiSecret: '',
				    code: code
				},function(ret, err){ 
				    if(ret.status){
				   		login.getUserInfo(ret.accessToken,ret.openId);
				    }
			});
	},
	getUserInfo:function (accessToken,openId){
		 login.wx.getUserInfo({
			    accessToken:accessToken,
			    openId: openId
			}, function(ret,err){ 
			    if(ret.status){
					login.doLogin(ret);
			    }
			});
	},
	doLogin:function(obj){
		var url=basePath+"/user/login.json";
		$api.post(url,{values:obj},function(ret){
			if(ret.userId){
				login.loginSuccess(ret);
			}
		});
	},
	isLogin:function(){
		if($api.getStorage("loginUser")){
			return true;
		}else{
			return false;
		}
	},
	toLogin:function(){
		api.openWin({
	        name: 'login',
	        url: 'html/public/header.html',
	        pageParam:{
				file : 'register'
			},
			animation : {            
			    type:"movein",                //动画类型（详见动画类型常量）
			    subType:"from_bottom"       //动画子类型（详见动画子类型常量）
			}
        });
	},
	toLogin2:function(){
		api.openWin({
	        name: 'login',
	        url: '../public/header.html',
	        pageParam:{
				file : 'register'
			},
			animation : {            
			    type:"movein",                //动画类型（详见动画类型常量）
			    subType:"from_bottom"       //动画子类型（详见动画子类型常量）
			}
        });
	},
	mobileLogin:function(){
		var url=basePath+"/user/mobileLogin.json";
		if($("#mobile").val()=="") 
		{
			$api.toast("请输入手机号");
		 	return;
		}
		if($("#mobile").val().length!=11) 
		{
			$api.toast("请输入正确的手机号");
		 	return;
		}
		if($("#pwd").val()==""){
			$api.toast("请输入密码");
		 	return;
		}
		var data={ mobile:$("#mobile").val(),pwd:$("#pwd").val()};
		$api.post(url,{values:data},function(ret){
			if(ret.userId){
				login.loginSuccess(ret);
			}else{
				$api.toast(ret.mes);
			}
		});
	},
	loginSuccess:function(ret){
		$api.setStorage("loginUser", ret);
		$api.toast("登录成功");
	  	api.execScript({
				name:"root",
				frameName: 'frm-home-99',
			    script: "showNewHb()"
				}
			);
		api.execScript({
				name:"root",
				frameName: 'frm-userInvite',
			    script: "invite.initData()"
				}
			);
		api.execScript({
				name:"root",
				frameName: 'frm-userPoint',
			    script: "refreshData()"
				}
			);
		api.execScript({
				name:"article-header",
			    script: "initArticle()"
				}
			);
		api.closeWin({name: 'register'});	
		api.closeWin({name: 'forgetPwd'});		
		api.closeWin({name: 'login'});	
	},
	installWx:function(){
		if("ios"!=api.systemType){
			alert("安装微信后可使用微信登录");
		}else{
		  api.confirm({
			    title: '安装微信',
			    msg: '安装微信后可使用微信登录',
			    buttons: ['暂不安装','立即安装']
			},function( ret, err ){
			    if(ret&&ret.buttonIndex==2){
			    	  api.installApp({
						    appUri: "https://itunes.apple.com/cn/app/wei-xin/id414478124?mt=8"        //安装包对应plist地址
						});
			    }
			});
	}}
}	


